/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h"
#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Types.h"
#include <sstream>
using namespace std;

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace select {
namespace select_priority_fixed {


  string Parameters::msg_error(void)
  {
    log_printf(FUNC,Select_Priority_Fixed,"msg_error","Begin");

    string msg = "";

    if ((_encoding_one_hot or _encoding_compact) == false)
      {
        msg += "  - you must select a less one encoding\n";
        msg += "    * encoding_one_hot                : " + toString(_encoding_one_hot) + "\n";
        msg += "    * encoding_compact                : " + toString(_encoding_compact) + "\n";
      }

    return msg;

    log_printf(FUNC,Select_Priority_Fixed,"msg_error","End");
  };

}; // end namespace select_priority_fixed
}; // end namespace select
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
